Skip to main content
Get resource group
Authentication · API availability · Download OpenAPI

Authorizations

Authorization
string
header
required

Bearer token for user session

Headers

X-Request-Id
string

User-Agent specified id to track a request

Path Parameters

id
string
required

System defined universally unique Id of the resource group

Response

A successful response.

Resource group for edge gateway Base OS or for eedge applications.

name
string
required

User defined name of the resource group, unique across the enterprise. Once resource group is created, name can’t be changed.

Required string length: 3 - 256
Pattern: [a-zA-Z0-9][a-zA-Z0-9_.-]+
title
string
required

User defined title of the resource group. Title can be changed at any time.

Required string length: 3 - 256
Pattern: [a-zA-Z0-9]+[a-zA-Z0-9!-~ ]+
type
enum<string>
default:TAG_TYPE_UNSPECIFIED
required

Resource group type

Available options:
TAG_TYPE_UNSPECIFIED,
TAG_TYPE_GENERIC,
TAG_TYPE_PROJECT,
TAG_TYPE_AZURE,
TAG_TYPE_DEPLOYMENT
id
string
read-only

System defined universally unique Id of the resource group.

Pattern: [a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}
description
string

Detailed description of the resource group.

Maximum string length: 256
revision
ObjectRevision is used to store the user information. · object

system defined info

tagLevelSettings
object

tag level setting within a enterprise

attr
object
read-only

Resource group wide configuration for edge nodes

appPolicy
Policy detailed configuration for a resource group (project) · object

Resource group wide policy for edge applications to be deployed on all edge nodes on this resource group

cloudPolicy
Policy detailed configuration for a resource group (project) · object

Resource group wide policy for Azure IoTEdge configuration to be applied to all edge applications

modulePolicy
Policy detailed configuration for a resource group (project) · object[]
read-only

Resource group wide policy for Azure module configuration to be applied to all edge applications

numdevices
integer<int64>
read-only

Number of edge nodes in this resource group

attestationPolicy
Policy detailed configuration for a resource group (project) · object

Attestation policy to enforce on all devices of this project

networkPolicy
Policy detailed configuration for a resource group (project) · object

Network policy to enforce on all devices of this project

deployment
object

Deployment template containing different types of policies

edgeviewPolicy
Policy detailed configuration for a resource group (project) · object

Edgeview policy on devices of this project

localOperatorConsolePolicy
Policy detailed configuration for a resource group (project) · object

Local operator console policy on devices of this project

tags
object

Tags are name/value pairs that enable you to categorize resources. Tag names are case insensitive with max_length 512 and min_length 3. Tag values are case sensitive with max_length 256 and min_length 3.

configurationLockPolicy
Policy detailed configuration for a resource group (project) · object

Configuration lock prevents users to send unintentional misconfigurations

pcrPolicy
Policy detailed configuration for a resource group (project) · object

PCR policy for TPM key sealing on devices of this project

portBasedNetworkAccessControlPolicy
Policy detailed configuration for a resource group (project) · object

Port based network access control (802.1X) policy to enforce on all devices of this project